APISettings
Get widget settings
Fetch the embeddable widget's configuration and which sections it shows. Requires the admin scope.
GET
/settings/widgetcurl -X GET "https://productlane.com/api/v2/settings/widget" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
application/json
Successful response
enabledbooleanrequiredwidget_keystringrequireddefault_viewstringrequiredicon_typestringrequiredicon_visiblebooleanrequiredsizestringrequiredbranding_enabledbooleanrequiredcustom_styling_enabledbooleanrequiredcustom_links_enabledbooleanrequiredcustom_links_headingstring | nullrequiredcontact_avatars_enabledbooleanrequiredidentity_verification_enabledbooleanrequiredportal_auth_enabledbooleanrequiredguest_chat_enabledbooleanrequiredsectionsobjectrequiredupdated_atstringrequired
{
"enabled": true,
"widget_key": "string",
"default_view": "string",
"icon_type": "string",
"icon_visible": true,
"size": "string",
"branding_enabled": true,
"custom_styling_enabled": true,
"custom_links_enabled": true,
"custom_links_heading": "string",
"contact_avatars_enabled": true,
"identity_verification_enabled": true,
"portal_auth_enabled": true,
"guest_chat_enabled": true,
"sections": {
"changelog": true,
"roadmap": true,
"support": true,
"help_center": true,
"ai_chat": true,
"live_chat": true,
"feedback": true,
"whats_new": true
},
"updated_at": "string"
}